<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::core::cvmatrix_descriptor Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1cvmatrix__descriptor.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1core_1_1cvmatrix__descriptor-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::core::cvmatrix_descriptor Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class describing cvmatrix elements, for log and graphs purpose.  
 <a href="classframework_1_1core_1_1cvmatrix__descriptor.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="cvmatrix__descriptor_8h_source.html">cvmatrix_descriptor.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0bbfc5a3f6810c7c812c13442d428c8f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix__descriptor.html#a0bbfc5a3f6810c7c812c13442d428c8f">cvmatrix_descriptor</a> (uint32_t rows, uint32_t cols)</td></tr>
<tr class="memdesc:a0bbfc5a3f6810c7c812c13442d428c8f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a0bbfc5a3f6810c7c812c13442d428c8f">More...</a><br /></td></tr>
<tr class="separator:a0bbfc5a3f6810c7c812c13442d428c8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac27929158efc59cbf1d674ae87ab0167"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix__descriptor.html#ac27929158efc59cbf1d674ae87ab0167">~cvmatrix_descriptor</a> ()</td></tr>
<tr class="memdesc:ac27929158efc59cbf1d674ae87ab0167"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac27929158efc59cbf1d674ae87ab0167">More...</a><br /></td></tr>
<tr class="separator:ac27929158efc59cbf1d674ae87ab0167"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addc08d7df9d893c69f5d5ce49cea4cc2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix__descriptor.html#addc08d7df9d893c69f5d5ce49cea4cc2">SetElementName</a> (uint32_t row, uint32_t col, std::string name)</td></tr>
<tr class="memdesc:addc08d7df9d893c69f5d5ce49cea4cc2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set element name.  <a href="#addc08d7df9d893c69f5d5ce49cea4cc2">More...</a><br /></td></tr>
<tr class="separator:addc08d7df9d893c69f5d5ce49cea4cc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad701c8104825363d8b81263013b61477"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix__descriptor.html#ad701c8104825363d8b81263013b61477">ElementName</a> (uint32_t row, uint32_t col) const </td></tr>
<tr class="memdesc:ad701c8104825363d8b81263013b61477"><td class="mdescLeft">&#160;</td><td class="mdescRight">Element name.  <a href="#ad701c8104825363d8b81263013b61477">More...</a><br /></td></tr>
<tr class="separator:ad701c8104825363d8b81263013b61477"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66457b0c994869730b13bdae1e15eb6a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix__descriptor.html#a66457b0c994869730b13bdae1e15eb6a">Rows</a> (void) const </td></tr>
<tr class="memdesc:a66457b0c994869730b13bdae1e15eb6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of rows.  <a href="#a66457b0c994869730b13bdae1e15eb6a">More...</a><br /></td></tr>
<tr class="separator:a66457b0c994869730b13bdae1e15eb6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9b425575745a7b3c32554f2ecc16396"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1cvmatrix__descriptor.html#ac9b425575745a7b3c32554f2ecc16396">Cols</a> (void) const </td></tr>
<tr class="memdesc:ac9b425575745a7b3c32554f2ecc16396"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of colomns.  <a href="#ac9b425575745a7b3c32554f2ecc16396">More...</a><br /></td></tr>
<tr class="separator:ac9b425575745a7b3c32554f2ecc16396"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class describing cvmatrix elements, for log and graphs purpose. </p>
<p>This class allows to give a name to matrix elements. These names will be used in graphs and logs. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0bbfc5a3f6810c7c812c13442d428c8f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::cvmatrix_descriptor::cvmatrix_descriptor </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>rows</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>cols</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a matrix descriptor.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">rows</td><td>matrix rows </td></tr>
    <tr><td class="paramname">cols</td><td>matrix cols </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac27929158efc59cbf1d674ae87ab0167"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::cvmatrix_descriptor::~cvmatrix_descriptor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="addc08d7df9d893c69f5d5ce49cea4cc2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::cvmatrix_descriptor::SetElementName </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>col</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set element name. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>element row </td></tr>
    <tr><td class="paramname">col</td><td>element col </td></tr>
    <tr><td class="paramname">name</td><td>element name </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad701c8104825363d8b81263013b61477"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string framework::core::cvmatrix_descriptor::ElementName </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>col</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Element name. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>element row </td></tr>
    <tr><td class="paramname">col</td><td>element col</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>element name </dd></dl>

</div>
</div>
<a class="anchor" id="a66457b0c994869730b13bdae1e15eb6a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t framework::core::cvmatrix_descriptor::Rows </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Number of rows. </p>
<dl class="section return"><dt>Returns</dt><dd>rows </dd></dl>

</div>
</div>
<a class="anchor" id="ac9b425575745a7b3c32554f2ecc16396"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t framework::core::cvmatrix_descriptor::Cols </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Number of colomns. </p>
<dl class="section return"><dt>Returns</dt><dd>colomns </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classframework_1_1core_1_1cvmatrix__descriptor.html">cvmatrix_descriptor</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
